import HelpCenterBanner from "@/components/rendering/helpCenterBanner";
import HelpCenterDetail from "@/components/rendering/helpCenterDetail";
import { fetchFaqData } from "@/utils/api/faq";
import Head from "next/head";
import { parseCookies } from "nookies";

export default function HelpCenterPage({ response }: any) {
  return (
    <>
      <Head>
        <title>WaoSim | help Center</title>
        <meta name="description" content="Generated by create next app" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="icon" href="/faviconIcon.svg" />
      </Head>
      <main>
        <HelpCenterBanner />
        <HelpCenterDetail data={response} />
      </main>
    </>
  );
}

export async function getServerSideProps(context: any) {
  const { req, query } = context;
  const cookies = parseCookies({ req });
  let payload = {
    waotoken: cookies?.waotoken,
    // status: 3,
  };
  const { isError, response } = await fetchFaqData(payload);

  return {
    props: {
      response: response ?? null,
    },
  };
}
